### Struct

# Ide HighlightIndex

#### Description

    struct IdeHighlightIndex {
      /* No available fields */
    }

No description available.

#### Constructors

###### ide_highlight_index_new

No description available.

###### ide_highlight_index_new_from_variant

No description available.

#### Instance methods

###### ide_highlight_index_dump

No description available.

###### ide_highlight_index_insert

No description available.

###### ide_highlight_index_lookup

Gets the pointer tag that was registered for `word`, or `NULL`. This can be any arbitrary value. Some highlight engines might use it to point at internal structures or strings they know about to optimize later work.

Available since: 3.32

###### ide_highlight_index_ref

No description available.

###### ide_highlight_index_to_variant

Creates a variant to represent the index. Useful to transport across IPC boundaries.

Available since: 3.32

###### ide_highlight_index_unref

No description available.